Issue #8716 has been updated by Usaku NAKAMURA.

Backport set to 2.0.0: REQUIRED, 2.1: REQUIRED

Ken Takata wrote:
> Ruby 2.0/2.1へのバックポートはどうしましょうか。

該当修正部分のみを抽出して取り込むことになるかと思います。

しかし、backportチケットから持ってくるとBackport欄が空白になるというのは
本当に困るのでどうにかならないものかしらん?

----------------------------------------
Bug #8716: segmation fault 正規表現で大量のグループを利用時
https://bugs.ruby-lang.org/issues/8716#change-47820

* Author: taka-yoshi taka
* Status: Closed
* Priority: Normal
* Assignee: Yui NARUSE
* Category: regexp
* Target version: current: 2.2.0
* ruby -v: trunk
* Backport: 2.0.0: REQUIRED, 2.1: REQUIRED
----------------------------------------
=begin
WindowsとOS Xで検証しました。
*再現手順  ruby 2.0.0p247 (2013-06-27) [x64-mingw32]
  a="()"
  (32767.times{a<<'()'}
  eval "/#{a}/=~''"

*再現手順  ruby 2.0.0p0 (2013-02-24 revision 39474) [x86_64-darwin12.2.1]
  a="()"
  (1<<21).times{a<<'()'}
  eval "/#{a}/=~''"

以上よろしくお願いします。
=end



-- 
https://bugs.ruby-lang.org/